Bug 1255149 - Unable to call a reusable process that contains a "_" (underscore) in the name in BPM Suite 6.1.2
Unable to call a reusable process that contains a "_" (underscore) in the nam...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity unspecified
: ER4
: 6.2.0
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks: 1260211
  Show dependency treegraph
 
Reported: 2015-08-19 14:50 EDT by Amana
Modified: 2016-04-28 01:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1260211 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1593173 None None None Never

  None (edit)
Description Amana 2015-08-19 14:50:59 EDT
Description of problem:
When naming a reusable process using "_" (i.e. test_sample_new), it is not listed under "Called Element" to the parent process.

I am unsure if it is really a bug or if it is the expected behavior... I mean it could be a kind of "reserved" sign as it is listing resusable processes that contains "." or "-" in their names. 


Version-Release number of selected component (if applicable):
BPM Suite 6.1.x


How reproducible:
Always


Steps to Reproduce:
1. Create a main process with a Reusable subprocess node;
2. Create a simple process as "test_sample_new" (it can contain only a ScriptTask);
3. Create another process as "testSampleNew" (it can contain only a ScriptTask);
4. Back to the main process, click on "Called Element"...

Actual results:
It will list only the "testSampleNew";

Expected results:
It should list both processes, maybe?


Additional info:
A workaround would be to use "." or "-" or other sign.
Comment 1 Amana 2015-08-19 14:51:54 EDT
Hi all,

Is it really a bug? Or a reserved sign?

Thanks!
Comment 3 Amana 2015-08-24 10:09:48 EDT
any updates?
Comment 5 jvahala 2015-10-19 09:50:39 EDT
Verified with 6.2.0ER4.

Note You need to log in before you can comment on or make changes to this bug.